Dashboard inbox & notifications not working.

Bug #1510082 reported by Jitendra Rana on 2015-10-26
10
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Mahara
Medium
Jitendra Rana
1.10
Medium
Unassigned
15.04
Medium
Unassigned
15.10
Medium
Unassigned

Bug Description

I have just upgraded to 15.10 & dashboard messages and notification were not working. Throwing following error :

Fatal error: Call to undefined function format_notification_whitespace() in /home/campusre/public_oepldev/cp/blocktype/inbox/lib.php on line 93

Just add following line above line on which this error occurred.
require_once('activity.php');

Jitendra Rana (jnrana) wrote :
Jitendra Rana (jnrana) on 2015-10-27
Changed in mahara:
assignee: nobody → Jitendra Rana (jnrana)
Robert Lyon (robertl-9) on 2015-10-28
Changed in mahara:
status: New → In Progress
Robert Lyon (robertl-9) wrote :

Hi Jitendra,

I've taken your fix and added it as a patch for review https://reviews.mahara.org/#/c/5641/

Thank you for letting us know about this problem

Cheers

Robert

Reviewed: https://reviews.mahara.org/5641
Committed: https://git.mahara.org/mahara/mahara/commit/079a9d6c393cef42c23bcaa8a50545e302583d67
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit 079a9d6c393cef42c23bcaa8a50545e302583d67
Author: Jitendra Rana <email address hidden>
Date: Thu Oct 29 12:10:53 2015 +1300

Bug 1510082: fatal error missing function format_notification_whitespace()

Just need to require once 'activity.php'

behatnotneeded

Change-Id: Ie1de5b2b50f3de1c367bfa33f8bf4c412c40b0c8
Signed-off-by: Robert Lyon <email address hidden>

Mahara Bot (dev-mahara) wrote :

Patch for "15.04_STABLE" branch: https://reviews.mahara.org/5839

Mahara Bot (dev-mahara) wrote :

Patch for "1.10_STABLE" branch: https://reviews.mahara.org/5840

Reviewed: https://reviews.mahara.org/5838
Committed: https://git.mahara.org/mahara/mahara/commit/afe356ad76792da0354971d30e6f053d5e2b0a6e
Submitter: Robert Lyon (<email address hidden>)
Branch: 15.10_STABLE

commit afe356ad76792da0354971d30e6f053d5e2b0a6e
Author: Jitendra Rana <email address hidden>
Date: Thu Oct 29 12:10:53 2015 +1300

Bug 1510082: fatal error missing function format_notification_whitespace()

Just need to require once 'activity.php'

behatnotneeded

Change-Id: Ie1de5b2b50f3de1c367bfa33f8bf4c412c40b0c8
Signed-off-by: Robert Lyon <email address hidden>
(cherry picked from commit 079a9d6c393cef42c23bcaa8a50545e302583d67)

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/5839
Committed: https://git.mahara.org/mahara/mahara/commit/4a96de7ab1cef97671f089f00ea15bce2fd0dd10
Submitter: Robert Lyon (<email address hidden>)
Branch: 15.04_STABLE

commit 4a96de7ab1cef97671f089f00ea15bce2fd0dd10
Author: Jitendra Rana <email address hidden>
Date: Thu Oct 29 12:10:53 2015 +1300

Bug 1510082: fatal error missing function format_notification_whitespace()

Just need to require once 'activity.php'

behatnotneeded

Change-Id: Ie1de5b2b50f3de1c367bfa33f8bf4c412c40b0c8
Signed-off-by: Robert Lyon <email address hidden>
(cherry picked from commit 079a9d6c393cef42c23bcaa8a50545e302583d67)

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/5840
Committed: https://git.mahara.org/mahara/mahara/commit/604f6528bc1d870377a82253182a3b78ff6cf2fb
Submitter: Robert Lyon (<email address hidden>)
Branch: 1.10_STABLE

commit 604f6528bc1d870377a82253182a3b78ff6cf2fb
Author: Jitendra Rana <email address hidden>
Date: Thu Oct 29 12:10:53 2015 +1300

Bug 1510082: fatal error missing function format_notification_whitespace()

Just need to require once 'activity.php'

behatnotneeded

Change-Id: Ie1de5b2b50f3de1c367bfa33f8bf4c412c40b0c8
Signed-off-by: Robert Lyon <email address hidden>
(cherry picked from commit 079a9d6c393cef42c23bcaa8a50545e302583d67)

no longer affects: mahara/16.04
Changed in mahara:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers